<?php
/*-----------------------------------------------------------
|   zWar Clan-Infusion										|
|															|
|	Copyright (C) 2006-2008 Christoph Schreck				|
|	zezoar@gmx.net											|
|	http://www.zoffclan.de/zoffdev/							|
|															|
|   This program is free software; 							|
|	you can redistribute it and/or modify it under 			|
|	the terms of the GNU General Public License 			|
|	as published by the Free Software Foundation; 			|
|	either version 3 of the License, 						|
|	or (at your option) any later version.					|
|															|
|   This program is distributed in the hope that 			|
|	it will be useful, but WITHOUT ANY WARRANTY; 			|
|	without even the implied warranty of MERCHANTABILITY 	|
|	or FITNESS FOR A PARTICULAR PURPOSE. 					|
|	See the GNU General Public License for more details.	|
|															|
|   You should have received a copy of the 					|
|	GNU General Public License along with this program; 	|
|	if not, see <http://www.gnu.org/licenses/>.				|
-----------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (isset($_GET['lang']) && !file_exists(INFUSIONS."zwar_warscript/locale/".$_GET['lang']."/fight_us.php")) { redirect( BASEDIR.'index.php' ); }

if (isset($_GET['lang'])) {
	include INFUSIONS."zwar_warscript/locale/".$_GET['lang']."/fight_us.php";
} elseif (file_exists(INFUSIONS."zwar_warscript/locale/".LOCALESET."fight_us.php")) {
	include_once INFUSIONS."zwar_warscript/locale/".LOCALESET."fight_us.php";
} else {
	include_once INFUSIONS."zwar_warscript/locale/English/fight_us.php";
}

include LOCALE.LOCALESET."messages.php";

add_to_title("&nbsp;-&nbsp;".$locale['zw_fight_us_015']);

if (isset($_POST['send'])) {
	require_once INCLUDES."flood_include.php";
	$msg_settings = dbarray(dbquery("SELECT * FROM ".DB_MESSAGES_OPTIONS." WHERE user_id='0'"));
	$error=""; $errorcount=1;
	$challenge_info=stripinput($_POST['challenge_info']);
	$challenge_date_add=time();
	$daterror=false;
	foreach ($_POST['challenge_date'] as $datewert) {
		if (!isNum($datewert)) {
			$daterror=true;
	}}
	$challenge_date=($daterror ? "" : mktime($_POST['challenge_date']['hours'], $_POST['challenge_date']['minutes'], 0,$_POST['challenge_date']['mon'], $_POST['challenge_date']['mday'], $_POST['challenge_date']['year']));
	$challenge_country=stripinput($_POST['challenge_country']);
	$challenge_contact1=stripinput($_POST['challenge_contact1']);
	if ($challenge_contact1 == "") { $error.=$errorcount++.$locale['zw_fight_us_001']."<br/>";}
	$challenge_contact2=($_POST['challenge_contact2_type'] != "" && $_POST['challenge_contact2'] != "" ? stripinput($_POST['challenge_contact2_type']).": " : "").stripinput($_POST['challenge_contact2']);
	$challenge_contact3=($_POST['challenge_contact3_type'] != "" && $_POST['challenge_contact3'] != "" ? stripinput($_POST['challenge_contact3_type']).": " : "").stripinput($_POST['challenge_contact3']);
	$challenge_contact4=stripinput($_POST['challenge_contact4']);
	$challenge_server_name=stripinput($_POST['challenge_server_name']);
	$challenge_server_ip=stripinput($_POST['challenge_server_ip']);
	$challenge_server_pass=stripinput($_POST['challenge_server_pass']);
	$challenge_hp=stripinput($_POST['challenge_hp']);
	if ($challenge_hp=="") {
		$error.=$errorcount++.$locale['zw_fight_us_003']."<br/>";
	} else if (substr($challenge_hp,0,7) != "http://" AND substr($challenge_hp,0,6) != "ftp://") {
		$challenge_hp = "http://" . $challenge_hp;
	}
	$challenge_clan_name=stripinput($_POST['challenge_clan_name']);
	$challenge_clantag=stripinput($_POST['challenge_clantag']);
	if (!$challenge_clantag) $error.=$errorcount++.$locale['zw_fight_us_006']."<br/>";
	if (!$challenge_clan_name) $challenge_clan_name = $challenge_clantag;
	$challenge_maps=(isset($_POST['challenge_map_id']) && isNum($_POST['challenge_map_id']) ? $_POST['challenge_map_id'] : "");
	$challenge_maps.=($challenge_maps != "" ? "." : "").(isset($_POST['challenge_map_id2']) && isNum($_POST['challenge_map_id2']) ? $_POST['challenge_map_id2'] : "");
	$challenge_game_id=(isNum($_POST['challenge_game_id']) ? $_POST['challenge_game_id'] : 0);
	if (!$challenge_game_id) $error.=$errorcount++.$locale['zw_fight_us_007']."<br/>";
	$challenge_teamsize=(isNum($_POST['challenge_teamsize']) ? $_POST['challenge_teamsize'] : "");
	include_once INCLUDES."securimage/securimage.php";
	$securimage = new Securimage();
	if (!isset($_POST['captcha_code']) || $securimage->check($_POST['captcha_code']) == false) {
		$error.=$errorcount++.$locale['zw_fight_us_042']."<br/>";
	}
	if ($errorcount==1) {
		if (!flood_control("challenge_date_add", DB_ZWAR_CHALLENGES, "challenge_userip='".USER_IP."'")) {
			$result = dbquery("INSERT INTO ".DB_ZWAR_CHALLENGES." (challenge_info, challenge_date_add, challenge_date, challenge_contact1, challenge_contact2, challenge_contact3, challenge_hp, challenge_clan_name, challenge_clantag, challenge_maps, challenge_game_id, challenge_teamsize, challenge_userip, challenge_contact4, challenge_server_name, challenge_server_ip, challenge_server_pass, challenge_country) VALUES('$challenge_info', '$challenge_date_add', '$challenge_date', '$challenge_contact1', '$challenge_contact2', '$challenge_contact3', '$challenge_hp', '$challenge_clan_name', '$challenge_clantag', '$challenge_maps', '$challenge_game_id', '$challenge_teamsize', '".USER_IP."', '$challenge_contact4', '$challenge_server_name', '$challenge_server_ip', '$challenge_server_pass', '$challenge_country')");
			$challenge_id = mysql_insert_id();

			require_once INCLUDES."sendmail_include.php";
			$result = dbquery("SELECT u.user_id, u.user_name, u.user_email, u.user_rights, mo.pm_email_notify FROM ((".DB_USERS." AS u LEFT JOIN ".DB_MESSAGES_OPTIONS." AS mo USING(user_id)) LEFT JOIN ".DB_ZWAR_SQUADS_PLAYERS." AS zsp ON u.user_id=zsp.player_member_id) LEFT JOIN ".DB_ZWAR_SQUADS." AS zs ON zsp.player_squad=zs.group_id WHERE u.user_rights REGEXP('^{ZWAR}$|^{ZWAR}\\\.|\\\.{ZWAR}\\\.|\\\.{ZWAR}$') OR (zsp.player_level>='11' AND zs.group_games REGEXP('^\\\.{$challenge_game_id}$|\\\.{$challenge_game_id}\\\.|\\\.{$challenge_game_id}$') )");
			while ($data = dbarray($result)) {
				if (in_array("ZWAR", explode(".", $data['user_rights']))) {
					$challenge_link = "<a href=\"".BASEDIR."infusions/zwar_warscript/zwar_admin_panel.php".$aidlink."&amp;pagefile=editwars&amp;action=add&amp;challenge_id=".$challenge_id."\">".$locale['zw_fight_us_043']."</a>";
				} else {
					$challenge_link = "<a href=\"".BASEDIR."infusions/zwar_warscript/zwar_admin_panel.php?aid=0&amp;pagefile=editwars&amp;action=add&amp;challenge_id=".$challenge_id."\">".$locale['zw_fight_us_043']."</a>";
				}
				$result2 = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$data['user_id']."','','".$locale['zw_fight_us_035']."','".sprintf($locale['zw_fight_us_036'], $challenge_link).$challenge_info."','y','0','".time()."','0')");
				$send_email = isset($data['pm_email_notify']) ? $data['pm_email_notify'] : $msg_settings['pm_email_notify'];
				if ($send_email == "1") sendemail($data['user_name'],$data['user_email'],$settings['siteusername'],$settings['siteemail'],$locale['625'],$data['user_name'].$locale['626']);
			}
			opentable($locale['zw_fight_us_010']);
			render_zwar_message($locale['zw_fight_us_009']."<br/><br/><a href='".BASEDIR."index.php'>".$locale['zwarglobal_0054']." >></a>");
			closetable();
		} else {
			redirect( BASEDIR.'index.php' );
		}
	} else {
		opentable($locale['zwarglobal_0053']);
		render_zwar_message("<b>".$error."</b><br/><br/><a href='javascript:history.back()'>&lt;&lt; ".$locale['zwarglobal_0001']."</a>");
		closetable();
	}
} else {
	$challenge_contact1=(isset($_POST['challenge_contact1']) ? stripinput($_POST['challenge_contact1']) : "");
	$challenge_contact2=(isset($_POST['challenge_contact2']) ? stripinput($_POST['challenge_contact2']) : "");
	$challenge_contact3=(isset($_POST['challenge_contact3']) ? stripinput($_POST['challenge_contact3']) : "");
	$challenge_contact4=(isset($_POST['challenge_contact4']) ? stripinput($_POST['challenge_contact4']) : "");
	$challenge_hp=(isset($_POST['challenge_hp']) ? stripinput($_POST['challenge_hp']) : "");
	$challenge_clan_name=(isset($_POST['challenge_clan_name']) ? stripinput($_POST['challenge_clan_name']) : "");
	$challenge_clantag=(isset($_POST['challenge_clantag']) ? stripinput($_POST['challenge_clantag']) : "");
	$challenge_map_id=(isset($_POST['challenge_map_id']) && isnum($_POST['challenge_map_id']) ? $_POST['challenge_map_id'] : 0);
	$challenge_map_id2=(isset($_POST['challenge_map_id2']) && isnum($_POST['challenge_map_id2']) ? $_POST['challenge_map_id2'] : 0);
	$challenge_game_id=(isset($_POST['challenge_game_id']) && isnum($_POST['challenge_game_id']) ? $_POST['challenge_game_id'] : 0);
	$challenge_teamsize=(isset($_POST['challenge_teamsize']) && isnum($_POST['challenge_teamsize']) ? $_POST['challenge_teamsize'] : "");
	$challenge_contact2_type=(isset($_POST['challenge_contact2_type']) ? stripinput($_POST['challenge_contact2_type']) : "");
	$challenge_contact3_type=(isset($_POST['challenge_contact3_type']) ? stripinput($_POST['challenge_contact3_type']) : "");
	$challenge_date="";
	if (isset($_POST['challenge_date']) && is_array($_POST['challenge_date']) && count($_POST['challenge_date'])) {
		foreach ($_POST['challenge_date'] as $datekey => $datewert) {
			if (isNum($datewert)) { $challenge_date[$datekey] = $datewert; } else { $challenge_date[$datekey] = ""; }
		}
	}
	$challenge_info=(isset($_POST['challenge_info']) ? stripinput($_POST['challenge_info']) : "");
	$challenge_server_ip=(isset($_POST['challenge_server_ip']) ? stripinput($_POST['challenge_server_ip']) : "");
	$challenge_server_pass=(isset($_POST['challenge_server_pass']) ? stripinput($_POST['challenge_server_pass']) : "");
	$challenge_server_name=(isset($_POST['challenge_server_name']) ? stripinput($_POST['challenge_server_name']) : "");
	$challenge_country=(isset($_POST['challenge_country']) ? stripinput($_POST['challenge_country']) : "");
	
	$gamelist = ""; $sel = "";
	$zwar_games = get_zwar_games();
	while(list($key, $zwar_game) = each($zwar_games)){
		if ($zwar_game['game_wars'] == 1) {
			if ($challenge_game_id != "") { $sel = ($challenge_game_id == $zwar_game['game_id'] ? " selected" : ""); }
			$gamelist .= "<option value='".$zwar_game['game_id']."'$sel>".$zwar_game['game_name']."</option>\n";
		}
	}
	$mess_type_list = "";
	$mess_type_array = explode(",", $zwar_settings_array['zwar_messenger_types']);
	if (is_array($mess_type_array) && count($mess_type_array)) {
		foreach ($mess_type_array as $mess_type_string) {
			if ($mess_type_string != "") {
				$sel = trim($mess_type_string) == $challenge_contact2_type ? " selected='selected'" : "";
				$mess_type_list .= "<option value='".trim($mess_type_string)."'".$sel.">".$mess_type_string."</option>";
			}
		}
	}
	$voice_type_list = "";
	$voice_type_array = explode(",", $zwar_settings_array['zwar_voice_types']);
	if (is_array($voice_type_array) && count($voice_type_array)) {
		foreach ($voice_type_array as $voice_type_string) {
			if ($voice_type_string != "") {
				$sel = $voice_type_string == $challenge_contact3_type ? " selected='selected'" : "";
				$voice_type_list .= "<option value='".trim($voice_type_string)."'".$sel.">".$voice_type_string."</option>";
			}
		}
	}
	require_once INFUSIONS."zwar_warscript/locale/ccodes.php";
	$chall_cflag_files = makefilelist(INFUSIONS."zwar_warscript/locale/flags/", ".|..|index.php|Unknown.gif", true);
	$chall_cflag_list = "";
	$sel="";
	for ($i = 0; $i < count($chall_cflag_files); $i++) {
		$ccode = preg_replace("/\.gif$/","",$chall_cflag_files[$i]);
		$cflag_sortarray[$i]['file'] = $chall_cflag_files[$i];
		$cflag_sortarray[$i]['name'] = isset($zwar_countrycodes_array[strtoupper($ccode)]) ? $zwar_countrycodes_array[strtoupper($ccode)] : $ccode;
	}
	usort($cflag_sortarray, 'sort_cflagarray');
	for ($i = 0; $i < count($cflag_sortarray); $i++) {
		$sel = ($challenge_country == $cflag_sortarray[$i]['file'] ? " selected='selected'" : "");
		$chall_cflag_list .= "<option value='".$cflag_sortarray[$i]['file']."'$sel>".$cflag_sortarray[$i]['name']."</option>\n";
	}
		
	opentable($locale['zw_fight_us_015']);
	echo "<div class='zwar-body'>";
	zwar_FormOpen(FUSION_SELF."?page=fight_us".(isset($_GET['lang']) && $_GET['lang'] !="" ? "&amp;lang=".$_GET['lang'] : ""), "onsubmit=\"return checkfudata();\"");
	zwar_FormCaption("<div style='float:right;'>".zwar_foloswitch()."</div><div style='float:left;'>".$locale['zw_fight_us_016']."</div>");
	zwar_FormLeft($locale['zw_fight_us_017'], "<input type='text' name='challenge_clan_name' value='$challenge_clan_name' maxlength='100' class='textbox' style='width:90%;' />"); 
	zwar_FormRight($locale['zw_fight_us_018']."&nbsp;<font style='color:#FF0000;'>*</font><span id='challenge_clantag_check' style='color:#FF0000;'></span>", "<input type='text' name='challenge_clantag' value='$challenge_clantag' maxlength='20' class='textbox' style='width:90%;' />"); 
	zwar_FormLeft($locale['zw_fight_us_019']."&nbsp;<font style='color:#FF0000;'>*</font><span id='challenge_hp_check' style='color:#FF0000;'></span>", "<input type='text' name='challenge_hp' value='$challenge_hp' maxlength='100' class='textbox' style='width:90%;' />");
	zwar_FormRight($locale['zwarglobal_0085'],"<select name='challenge_country' class='textbox' style='width:80%; vertical-align:middle;' onchange=\"javascript:zwFuShowFlag(this.value);\"><option value=''>".$locale['zw_fight_us_026']."</option>".$chall_cflag_list."</select>&nbsp;<img id='zchflag' src='".INFUSIONS."zwar_warscript/locale/flags/".($challenge_country != "" ? $challenge_country : "Unknown.gif")."' alt='' style='border:0;margin:0;vertical-align:middle;'/>");
	zwar_FormCaption($locale['zw_fight_us_020']);
	zwar_FormLeft($locale['zw_fight_us_021']."&nbsp;<font style='color:#FF0000;'>*</font><span id='challenge_contact1_check' style='color:#FF0000;'></span>", "<input type='text' name='challenge_contact1' value='$challenge_contact1' maxlength='100' class='textbox' style='width:90%;' />"); 
	zwar_FormRight($locale['zw_fight_us_022'], "<input type='text' name='challenge_contact2' value='$challenge_contact2' maxlength='100' class='textbox' style='width:60%;' /><select name='challenge_contact2_type' class='textbox' style='width:30%;'>".$mess_type_list."</select>"); 
	zwar_FormLeft($locale['zw_fight_us_023'], "<input type='text' name='challenge_contact3' value='$challenge_contact3' maxlength='100' class='textbox' style='width:60%;' /><select name='challenge_contact3_type' class='textbox' style='width:30%;'>".$voice_type_list."</select>"); 
	zwar_FormRight($locale['zw_fight_us_037'], "<input type='text' name='challenge_contact4' value='$challenge_contact4' maxlength='100' class='textbox' style='width:90%;' />"); 
	zwar_FormCaption($locale['zw_fight_us_038']);
	zwar_FormLeft($locale['zw_fight_us_039'], "<input type='text' name='challenge_server_name' value='$challenge_server_name' maxlength='100' class='textbox' style='width:90%;' />"); 
	zwar_FormRight($locale['zw_fight_us_040'], "<input type='text' name='challenge_server_ip' value='$challenge_server_ip' maxlength='25' class='textbox' style='width:90%;' />");
	zwar_FormLeft($locale['zw_fight_us_041'], "<input type='text' name='challenge_server_pass' value='$challenge_server_pass' maxlength='20' class='textbox' style='width:90%;' />");
	zwar_FormRight("","");
	zwar_FormCaption($locale['zw_fight_us_024']);
	zwar_FormLeft($locale['zw_fight_us_025']."&nbsp;<font style='color:#FF0000;'>*</font><span id='challenge_game_id_check' style='color:#FF0000;'></span>", "<select name='challenge_game_id' class='textbox' style='width:90%;' onchange='javascript:zwFuFillmaps(this.value);'><option value='0'>".$locale['zw_fight_us_026']."</option>$gamelist</select>"); 
	zwar_FormRight($locale['zw_fight_us_031'], "<input type='text' name='challenge_teamsize' value='$challenge_teamsize' maxlength='2' class='textbox' style='width:20px;' />"); 
	zwar_FormLeft($locale['zw_fight_us_027'], "<select name='challenge_map_id' class='textbox' style='width:90%;' onchange='javascript:zwFuShowMap(1, this.value);'><option value='0'>".$locale['zw_fight_us_044']."</option></select><div align='center'><img id='challenge_mpic1' src='' style='display:none; margin-top:5px;'></div>");
	zwar_FormRight($locale['zw_fight_us_027'], "<select name='challenge_map_id2' class='textbox' style='width:90%;' onchange='javascript:zwFuShowMap(2, this.value);'><option value='0'>".$locale['zw_fight_us_044']."</option></select><br/><div align='center'><img id='challenge_mpic2' src='' style='display:none; margin-top:5px;'></div>"); 
	zwar_FormBoth($locale['zw_fight_us_028']."&nbsp;<font style='color:#FF0000;'>*</font><span id='challenge_date_check' style='color:#FF0000;'></span>", zwar_FormDate("challenge_date", $challenge_date));
	zwar_FormBoth($locale['zw_fight_us_032'], "<textarea name='challenge_info' style='width:95%;' cols='40' rows='6' class='textbox'>$challenge_info</textarea>");
	zwar_FormClose();
	echo "</div>";
	closetable();
	add_to_head("<script type=\"text/javascript\" src='".INFUSIONS."zwar_warscript/js/zwar_data_js.php?types[]=mapsel&amp;types[]=mappic'></script>");
	add_to_head("<script type='text/javascript'>
	function checkfudata() {
		var error=false, dateerror=false;;
		document.getElementById('challenge_clantag_check').innerHTML = (document.forms['inputform'].elements['challenge_clantag'].value == '') ? ' ".$locale['zw_fight_us_011']."' : '';
		if (document.forms['inputform'].elements['challenge_clantag'].value == '') { error = true; }
		document.getElementById('challenge_hp_check').innerHTML = (document.forms['inputform'].elements['challenge_hp'].value == '') ? ' ".$locale['zw_fight_us_011']."' : '';
		if (document.forms['inputform'].elements['challenge_hp'].value == '') { error = true; }
		document.getElementById('challenge_contact1_check').innerHTML = (document.forms['inputform'].elements['challenge_contact1'].value == '') ? ' ".$locale['zw_fight_us_011']."' : '';
		if (document.forms['inputform'].elements['challenge_contact1'].value == '') { error = true;	}
		document.getElementById('challenge_game_id_check').innerHTML = (document.forms['inputform'].elements['challenge_game_id'].value == 0) ? ' ".$locale['zw_fight_us_012']."' : '';
		if (document.forms['inputform'].elements['challenge_game_id'].value == 0) { error = true; }
		if (document.getElementsByName('challenge_date[hours]')[0].value == '') { dateerror = true; }
		if (document.getElementsByName('challenge_date[minutes]')[0].value == '') { dateerror = true; }
		if (document.getElementsByName('challenge_date[mday]')[0].value == '') { dateerror = true; }
		if (document.getElementsByName('challenge_date[mon]')[0].value == '') { dateerror = true; }
		if (document.getElementsByName('challenge_date[year]')[0].value == '') { dateerror = true; }
		document.getElementById('challenge_date_check').innerHTML = (dateerror) ? ' ".$locale['zw_fight_us_014']."' : '';
		if (dateerror) { error = true; }
		document.getElementById('captcha_check').innerHTML = (document.forms['inputform'].elements['captcha_code'].value == '') ? '".$locale['zw_fight_us_013']."<br/>' : '';
		if (document.forms['inputform'].elements['captcha_code'].value == '') { error = true; }
		if (error) { return false; } else { return true; }
	}
	function zwFuFillmaps(gid) {
		zwFuShowMap(1,0);
		zwFuShowMap(2,0);
		var mapsel1 = document.forms['inputform'].elements['challenge_map_id'];
		var mapsel2 = document.forms['inputform'].elements['challenge_map_id2'];
		if (gid != 0) {
			mapsel1.innerHTML = '<option value=\"0\">".$locale['zw_fight_us_026']."</option>';
			mapsel2.innerHTML = '<option value=\"0\">".$locale['zw_fight_us_026']."</option>';
			for (i=0; i < (zwglocs[gid].length+1); i++) {
				mapsel1.options[mapsel1.options.length] = new Option(zwglocs[gid][i][1], zwglocs[gid][i][0], false, false);
				mapsel2.options[mapsel2.options.length] = new Option(zwglocs[gid][i][1], zwglocs[gid][i][0], false, false);
			}
		} else {
			mapsel1.innerHTML = '<option value=\"0\">".$locale['zw_fight_us_044']."</option>';
			mapsel2.innerHTML = '<option value=\"0\">".$locale['zw_fight_us_044']."</option>';
		}
	}
	function zwFuShowMap (contid, lid) {
		var img = document.getElementById('challenge_mpic' + contid);
		if (lid != 0) {
			img.src = '".INFUSIONS."zwar_warscript/images/locs/' + zwlocpics[lid];
			img.style.display = 'block';
		} else {
			img.style.display = 'none';
		}
	}
	function zwFuShowFlag (img) {
		var file = (img != '') ? img : 'Unknown.gif'
		document.getElementById('zchflag').src = '".INFUSIONS."zwar_warscript/locale/flags/' + file;
	}
	</script>");
}
?>
